Package com.isomorphic.webdriver

# Class SmartClientChromeDriver

java.lang.Object
com.isomorphic.webdriver.SmartClientWebDriver
com.isomorphic.webdriver.SmartClientChromeDriver

All Implemented Interfaces:
  `org.openqa.selenium.interactions.Interactive`, `org.openqa.selenium.JavascriptExecutor`, `org.openqa.selenium.SearchContext`, `org.openqa.selenium.TakesScreenshot`, `org.openqa.selenium.WebDriver`

public class SmartClientChromeDriver extends SmartClientWebDriver
Implementation of SmartClient specific WebDriver using Chrome. WebDriver support for Chrome is a little flakey. YMMV.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartClientChromeDriver()`
  Creates a new SmartClientChromeDriver instance.
  `SmartClientChromeDriver(org.openqa.selenium.Capabilities capabilities)`
  Deprecated.
  use `SmartClientChromeDriver(ChromeOptions)` instead
  `SmartClientChromeDriver(org.openqa.selenium.chrome.ChromeDriverService service)`
  Creates a new SmartClientChromeDriver instance.
  `SmartClientChromeDriver(org.openqa.selenium.chrome.ChromeDriverService service, org.openqa.selenium.chrome.ChromeOptions options)`
  Creates a new SmartClientChromeDriver instance with the specified options.
  `SmartClientChromeDriver(org.openqa.selenium.chrome.ChromeOptions options)`
  Creates a new SmartClientChromeDriver instance with the specified options.

- ## Method Summary

  ### Methods inherited from class com.isomorphic.webdriver.SmartClientWebDriver

  `assertEval, assertEval, assertEval, assertEval, assertEval, blur, clearCanvasProperty, clearTolerances, click, clickAndHold, clickAndHoldAt, clickAt, contextClick, controlKeyDown, controlKeyUp, doubleClick, dragAndDrop, dragAndDrop, dragAndDropBy, focus, focus, focus, get, get, getElementHeight, getElementPositionLeft, getElementPositionTop, getElementWidth, getEval, getEval, getTable, getText, getValue, getValueAsString, getValueAsString, keyDown, keyDown, keyPress, keyPress, keyUp, keyUp, mouseMove, mouseMoveAt, pause, release, releaseAt, scrollIntoViewIfNeeded, scrollIntoViewIfNeeded, secondClick, selectWindowByName, selectWindowByTitle, sendData, sendKeys, setAllowCoordClickOnOccludingElement, setAllowJavaScriptToStringMatch, setBaseUrl, setCanvasHeightTolerance, setCanvasProperty, setCanvasPropertyFalse, setCanvasPropertyTrue, setCanvasWidthTolerance, setClientLogLevel, setClientLogLevel, setDefaultImplicitWait, setDefaultWaitTimeout, setElementTolerance, setMaxDragPause, setOccludedElementApproach, setServerLogLevel, setUseFrameworkValueAsFallback, setValueTolerance, shiftKeyDown, shiftKeyUp, showConsole, type, type, type, verifyCanvasHeight, verifyCanvasWidth, verifyElementClickable, verifyElementHeight, verifyElementHeightWithTolerance, verifyElementPositionLeft, verifyElementPositionTop, verifyElementPresent, verifyElementReadyForKeyPresses, verifyElementSelected, verifyElementVisible, verifyElementWidth, verifyElementWidthWithTolerance, verifyTable, verifyText, verifyText, verifyTextPresent, verifyTextPresent, verifyTitle, verifyValue, verifyValue, verifyValue, verifyValue, verifyValueEmpty, verifyValueWithTolerance, verifyValueWithTolerance, verifyValueWithTolerance, waitForCanvasDone, waitForCanvasDone, waitForCondition, waitForCondition, waitForCondition, waitForElementClickable, waitForElementClickable, waitForElementInViewport, waitForElementInViewport, waitForElementNotClickable, waitForElementNotClickable, waitForElementNotPresent, waitForElementNotPresent, waitForElementNotVisible, waitForElementNotVisible, waitForElementPresent, waitForElementPresent, waitForElementReadyForKeyPresses, waitForElementReadyForKeyPresses, waitForElementVisible, waitForElementVisible, waitForEval, waitForEval, waitForFormDone, waitForFormDone, waitForFrameToLoad, waitForGridDone, waitForGridDone, waitForGridDone, waitForGridDone, waitForHoverTextPresent, waitForHoverTextPresent, waitForItemDone, waitForItemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForText, waitForText, waitForTileGridDone, waitForTileGridDone, waitForTileLayoutDone, waitForTileLayoutDone, waitForValue, waitForValue`

- ## Constructor Details

  - ### SmartClientChromeDriver

    public SmartClientChromeDriver()
    Creates a new SmartClientChromeDriver instance.

  - ### SmartClientChromeDriver

    public SmartClientChromeDriver(org.openqa.selenium.chrome.ChromeDriverService service, org.openqa.selenium.chrome.ChromeOptions options)
    Creates a new SmartClientChromeDriver instance with the specified options. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.
      `options` - The options to use.

  - ### SmartClientChromeDriver

    public SmartClientChromeDriver(org.openqa.selenium.chrome.ChromeDriverService service)
    Creates a new SmartClientChromeDriver instance. The `service` will be started along with the driver, and shutdown upon calling `SmartClientWebDriver.quit()`.
    Parameters:
      `service` - The service to use.
    See Also:
      - `SmartClientChromeDriver(ChromeDriverService, ChromeOptions)`

  - ### SmartClientChromeDriver

    @Deprecated public SmartClientChromeDriver(org.openqa.selenium.Capabilities capabilities)
    Deprecated.
    use `SmartClientChromeDriver(ChromeOptions)` instead
    Creates a new SmartClientChromeDriver instance. The `capabilities` will be passed to the chromedriver service.
    Parameters:
      `capabilities` - The capabilities required from the ChromeDriver.

  - ### SmartClientChromeDriver

    public SmartClientChromeDriver(org.openqa.selenium.chrome.ChromeOptions options)
    Creates a new SmartClientChromeDriver instance with the specified options.
    Parameters:
      `options` - The options to use.
    See Also:
      - `SmartClientChromeDriver(ChromeDriverService, ChromeOptions)`